aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-08-08 11:57:09 +0200
committerFrancesco Colista <fcolista@alpinelinux.org>2015-08-10 13:22:50 +0000
commit765091b9be3071541117fe5565691862c1156826 (patch)
treec4b315a0becf7134d7ece5386f056d3af4b83d5b
parent5bc39a7221e1a760864bf5bf409ba60ea3d494c3 (diff)
downloadaports-765091b9be3071541117fe5565691862c1156826.tar.gz
aports-765091b9be3071541117fe5565691862c1156826.tar.bz2
aports-765091b9be3071541117fe5565691862c1156826.tar.xz
main/fish: add /usr/bin/fish to /etc/shells
-rw-r--r--main/fish/APKBUILD15
-rw-r--r--main/fish/fish.post-install3
l---------main/fish/fish.post-upgrade1
-rw-r--r--main/fish/fish.pre-deinstall3
4 files changed, 13 insertions, 9 deletions
diff --git a/main/fish/APKBUILD b/main/fish/APKBUILD
index 4d441330c7..bc5f8bba25 100644
--- a/main/fish/APKBUILD
+++ b/main/fish/APKBUILD
@@ -2,29 +2,27 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=fish
pkgver=2.1.2
-pkgrel=1
+pkgrel=2
pkgdesc="a modern interactive commandline shell"
url="http://www.fishshell.com/"
arch="all"
-
-# guessed from fish/fish.cpp *gag*
-license="GPL"
-
+license="GPL2"
depends=""
depends_dev="ncurses-dev"
makedepends="$depends_dev autoconf automake libtool"
-install=""
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.pre-deinstall"
subpackages="$pkgname-doc"
source="http://fishshell.com/files/$pkgver/fish-$pkgver.tar.gz
fish-safe-strerror.patch"
_builddir="$srcdir"/fish-$pkgver
prepare() {
- local i
cd "$_builddir"
+
+ local i=
for i in $source; do
case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
esac
done
@@ -33,7 +31,6 @@ prepare() {
build() {
cd "$_builddir"
-
./configure --prefix=/usr \
--sysconfdir=/etc || return 1
make || return 1
diff --git a/main/fish/fish.post-install b/main/fish/fish.post-install
new file mode 100644
index 0000000000..e725135f28
--- /dev/null
+++ b/main/fish/fish.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+add-shell '/usr/bin/fish'
+exit 0
diff --git a/main/fish/fish.post-upgrade b/main/fish/fish.post-upgrade
new file mode 120000
index 0000000000..7fa98c8050
--- /dev/null
+++ b/main/fish/fish.post-upgrade
@@ -0,0 +1 @@
+fish.post-install \ No newline at end of file
diff --git a/main/fish/fish.pre-deinstall b/main/fish/fish.pre-deinstall
new file mode 100644
index 0000000000..57411237fc
--- /dev/null
+++ b/main/fish/fish.pre-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+remove-shell '/usr/bin/fish'
+exit 0